[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPen.SetEndCap

Specifies the type of end cap used for the pen if it is a geometric pen.

## Declaration

Source position: graphics.pp line 664

`protected procedure TPen.SetEndCap(`
`AValue: TPenEndCap`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

Defined for FCL versions where the EndCap property is implemented.